Bug 1004367 - [abrt] gnome-contacts-3.9.90-1.fc20: gdk_window_create_similar_image_surface: Process /usr/libexec/gnome-contacts-search-provider was killed by signal 11 (SIGSEGV)
[abrt] gnome-contacts-3.9.90-1.fc20: gdk_window_create_similar_image_surface:...
Status: CLOSED UPSTREAM
Product: Fedora
Classification: Fedora
Component: gnome-contacts (Show other bugs)
20
x86_64 Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Elad Alfassa
Fedora Extras Quality Assurance
abrt_hash:7a551b6a51ff36f6eb2208820e4...
:
: 988167 (view as bug list)
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-09-04 09:43 EDT by Igor Gnatenko
Modified: 2013-09-24 04:11 EDT (History)
7 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-09-23 14:48:32 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
File: backtrace (56.79 KB, text/plain)
2013-09-04 09:43 EDT, Igor Gnatenko
no flags Details
File: cgroup (159 bytes, text/plain)
2013-09-04 09:43 EDT, Igor Gnatenko
no flags Details
File: core_backtrace (54.46 KB, text/plain)
2013-09-04 09:43 EDT, Igor Gnatenko
no flags Details
File: dso_list (15.21 KB, text/plain)
2013-09-04 09:44 EDT, Igor Gnatenko
no flags Details
File: environ (936 bytes, text/plain)
2013-09-04 09:44 EDT, Igor Gnatenko
no flags Details
File: exploitable (82 bytes, text/plain)
2013-09-04 09:44 EDT, Igor Gnatenko
no flags Details
File: limits (1.29 KB, text/plain)
2013-09-04 09:44 EDT, Igor Gnatenko
no flags Details
File: maps (75.84 KB, text/plain)
2013-09-04 09:44 EDT, Igor Gnatenko
no flags Details
File: open_fds (730 bytes, text/plain)
2013-09-04 09:44 EDT, Igor Gnatenko
no flags Details
File: proc_pid_status (1.06 KB, text/plain)
2013-09-04 09:44 EDT, Igor Gnatenko
no flags Details


External Trackers
Tracker ID Priority Status Summary Last Updated
GNOME Bugzilla 708547 None None None Never

  None (edit)
Description Igor Gnatenko 2013-09-04 09:43:46 EDT
Description of problem:
Opened overview-mode and search contact

Version-Release number of selected component:
gnome-contacts-3.9.90-1.fc20

Additional info:
reporter:       libreport-2.1.6
backtrace_rating: 4
cmdline:        /usr/libexec/gnome-contacts-search-provider
crash_function: gdk_window_create_similar_image_surface
executable:     /usr/libexec/gnome-contacts-search-provider
kernel:         3.11.0-0.rc7.git5.1.fc20.x86_64
runlevel:       unknown
uid:            1000

Truncated backtrace:
Thread no. 1 (10 frames)
 #0 gdk_window_create_similar_image_surface at gdkwindow.c:9337
 #1 gdk_cairo_surface_create_from_pixbuf at gdkcairo.c:210
 #2 gdk_cairo_set_source_pixbuf at gdkcairo.c:300
 #3 contacts_contact_frame_icon at contacts-contact.c:4756
 #4 contacts_contact_get_small_avatar at contacts-contact.c:8344
 #5 contacts_contact_get_avatar_icon_data at contacts-contact.c:8464
 #6 contacts_search_provider_GetResultMetas at contacts-shell-search-provider.c:767
 #7 _dbus_contacts_search_provider_GetResultMetas at contacts-shell-search-provider.c:1145
 #8 contacts_search_provider_dbus_interface_method_call at contacts-shell-search-provider.c:1212
 #9 call_in_idle_cb at gdbusconnection.c:4868

Potential duplicate: bug 988167
Comment 1 Igor Gnatenko 2013-09-04 09:43:51 EDT
Created attachment 793672 [details]
File: backtrace
Comment 2 Igor Gnatenko 2013-09-04 09:43:55 EDT
Created attachment 793673 [details]
File: cgroup
Comment 3 Igor Gnatenko 2013-09-04 09:43:59 EDT
Created attachment 793674 [details]
File: core_backtrace
Comment 4 Igor Gnatenko 2013-09-04 09:44:04 EDT
Created attachment 793675 [details]
File: dso_list
Comment 5 Igor Gnatenko 2013-09-04 09:44:08 EDT
Created attachment 793676 [details]
File: environ
Comment 6 Igor Gnatenko 2013-09-04 09:44:13 EDT
Created attachment 793677 [details]
File: exploitable
Comment 7 Igor Gnatenko 2013-09-04 09:44:16 EDT
Created attachment 793678 [details]
File: limits
Comment 8 Igor Gnatenko 2013-09-04 09:44:21 EDT
Created attachment 793679 [details]
File: maps
Comment 9 Igor Gnatenko 2013-09-04 09:44:29 EDT
Created attachment 793680 [details]
File: open_fds
Comment 10 Igor Gnatenko 2013-09-04 09:44:33 EDT
Created attachment 793681 [details]
File: proc_pid_status
Comment 11 Onuralp SEZER 2013-09-14 09:22:20 EDT
I was just getting crashing on gnome-contact when I was searching on shell search or on login or any other time It's just happened
Comment 12 Onuralp SEZER 2013-09-15 14:45:29 EDT
Happened again on gnome-shell search for another application and I think It try getting also contact result when I start the type and and between search and gnome-shell contacts makes error with it.
Comment 13 Onuralp SEZER 2013-09-17 07:32:00 EDT
Package  : gnome-contacts.x86_64 0:3.9.91-1.fc20

Problem still exists.
Comment 14 Igor Gnatenko 2013-09-21 15:22:03 EDT
https://bugzilla.gnome.org/show_bug.cgi?id=708547
Comment 15 Igor Gnatenko 2013-09-23 14:48:32 EDT
closing so thats fixed in upstream.

https://git.gnome.org/browse/gnome-contacts/commit/?id=0e11ea486dcc1182c72632524edff679d4c46e8a
Comment 16 Igor Gnatenko 2013-09-24 04:11:02 EDT
*** Bug 988167 has been marked as a duplicate of this bug. ***

Note You need to log in before you can comment on or make changes to this bug.